# Class: MoneroConnectionManagerListener

## MoneroConnectionManagerListener()

Default connection manager listener which takes no action on notifications.

## Constructor

#### new MoneroConnectionManagerListener()

Source:
  - src/main/js/common/MoneroConnectionManagerListener.js, line 4

### Methods

#### (async) onConnectionChanged(connection)

Notified on connection change events.

##### Parameters:

Name | Type | Description
--- | --- | ---
`connection` | MoneroRpcConnection | the connection manager's current connection

Source:
  - src/main/js/common/MoneroConnectionManagerListener.js, line 11